-2
votes
2answers
30 views

Upgrading PHP on Fedora [closed]

I have a Fedora server running PHP 5.3.13 and Wordpress. I would like to upgrade the PHP version to 5.3.18 or higher. This is the system information: $ uname -a Linux xxx.com 2.6.40.6-0.fc15.x86_64 ...
0
votes
2answers
93 views

How do I properly setup PHP in my Linux Fedora 19 server? [closed]

The Problem: This has been going on for quite some time. I only got the installation right once, and after that, it either: PHP pages show the PHP codes (not the current error, but I've experienced ...
2
votes
2answers
55 views

Can I overwrite a “make install” PHP with “yum” PHP?

I've tried to install PHP by downloading the .gz file from another computer, transferring it over to the Linux PC, and doing the tar, ./configure, make, and make install process. But I dun goof'd ...
0
votes
2answers
283 views

PHP 5.3 on Fedora 18

I'm running F18 on my devel machine and I NEED to run PHP 5.3.* (best 5.3.6) on it. F18 doesn't have it in its own repositories and I can't build PHP 5.3 from source because of buggy libxml2-2.9 in ...
0
votes
2answers
104 views

How does the Apache PHP module knows where the php.ini file is located?

I found this page: http://www.php.net/manual/en/configuration.file.php. On my OS: Fedora 17, Apache 2.2,PHP 5.4 I searched for PHPIniDir in the httpd.conf file. This configuration does not exists. ...
-1
votes
2answers
70 views

Kernel Panic while compiling PHP

The server threw a 'kernel: Oops: 0000 [1] SMP' while compiling PHP 5.4.9. It crashed when I try it again just to make sure that it was the culprit. Other than that, the server works fine. Its ...
0
votes
3answers
331 views

yum fails installing php53-devel.x86_64

I need to recompile php on a Fedora server because I need to use the --enable-zip flag. When trying to install the devel package, I get the following message. This is after a 'yum clean all': yum ...
1
vote
2answers
573 views

Install stomp via pecl on Fedora 16 failed (Cannot find OpenSSL's libraries)

I'm trying to install stomp php extension via pecl on Fedora 16 server. On centos I have similar problem but after installing openssl-devel everything went well and I installed stomp. On Fedora ...
1
vote
2answers
691 views

Getting 403 on apache with php on fedora 17

I put the projects on ~/public_html/project and create a soft-link in /var/www/html/project which point to ~/public_html/project. my /etc/httpd/conf/httpd.conf is shown below ServerRoot "/etc/httpd" ...
0
votes
1answer
64 views

Fedora Core 6 Migration

I am at a loss as to what I should to for this server. I need it to run php5.3 and corresponding version of mysql. I received a client today through work that is using Fedora core 6 running 10 very ...
0
votes
1answer
371 views

How to use the correct PHP version? phpinfo says another version

Fedora 17. I have a PHP version installed on my system, let name it as phpMain. And I've compiled another PHP version from source using this option: ./configure --prefix=/opt/php/5.x.y I will ...
1
vote
1answer
1k views

Downgrade PHP to 5.3 on Fedora 17

I'm trying to downgrade PHP to 5.3 on Fedora 17. Using yum downgrade I can only get as low as 5.4.1 (instead of 5.4.3). How can I install 5.3 using yum? I'm following the details at ...
0
votes
0answers
134 views

Fedora 16 with PHP 5.2.x

I've been searching for an easy way (using yum) to downgrade PHP of Fedora-16 into PHP 5.2.x but no result until now... anyone here has suggestions? thanks
0
votes
0answers
213 views

High CPU usage after adding field to table with 5million rows

LAMP server: Fedora Core release 6 Using phpMyAdmin, I have added a new field to a database table. The datatype is int with a default of 0. This table has approx 5 million rows. Since I submitted ...
1
vote
1answer
161 views

PHP won't run on Fedora 15

I have followed this exact tutorial on installing php on a Fedora 15 system. I have all the necessary packages installed with no errors. Yet the simple phpinfo() test page will show - it will show a ...
0
votes
1answer
285 views

PHPmailer cant connect with remote SMTP server

I cant connect with remote SMTP server using PHPmailer. I checked in wireshark, that in time when script is trying to connect, no single packet is sent out from my pc. What can block it? SELinux is ...
0
votes
1answer
144 views

100% Hardware IRQ while PHP just seems to hang for a second

I'm running the FLOW3 Quickstart on a Fedora machine (virtualized on Windows, if that helps). Each and every single request takes about 1.2 seconds to run the most simple example of this framework. I ...
0
votes
2answers
735 views

Ubuntu : Add, edit, delete in var/www directory issue

I just installed Ubuntu with LAMP, to use it as development and test server. Under terminal and using : sudo, I created a php test file and it's working, but I can't copy files using the graphical ...
1
vote
1answer
429 views

Uninstalling default Apache and PHP that comes with Fedora Core

I use custom compiled versions of both Apache and PHP and was wondering how to uninstall the default versions that came with my copy of Fedora 13. The binaries for these are located in /usr/bin ...
0
votes
1answer
1k views

Upgrade PHP version on Fedora 8

I have a Fedora 8 server I set up on Amazon EC2 back in late 2008. I use to to run a few web applications. I use yum to install applications such a PHP and MySQL. I am currently running PHP version ...
1
vote
1answer
260 views

Error when make “make install” PHP WebDav

I'm having issues install PHP WebDAV onto Fedora8 - after downloading and running make install I get the following errors: [root@ip-18-192-114-35 dav]# make install /bin/sh /tmp/dav/libtool ...
0
votes
2answers
45 views

Fedora Server Allow download link to PDF files

I have a website hosted on Fedora and I need my users to beable to download PDF files, is there any mod_rewrtie I can use to only allow PDF's to be downloaded, at the moment it just goes to 404 page. ...
0
votes
2answers
3k views

how do i install ImageMagick php library/extension on Apache?

How do I install ImageMagick library on Apache 2. I am using Php 5.2.6 and Fedora 8. My php_info has no mention of ImageMagick. I have tried: yum install ImageMagick and restarted apache, which ...
0
votes
1answer
461 views

install php 5.2.X on fedora 13

Where can i get php 5.2.X for fedora 13 Thanks
1
vote
1answer
243 views

Granting php sudo acsess

I am trying to grant php sudo access (for automated share mounting). I was sucess full at granting php sudo access on one of my systems by adding daemond to the list of sudo's via su --login -c ...
0
votes
1answer
498 views

sqlite and php enabling

I have a fresh install of fedora 12 and am trying to get php and sqlite working I installed php through: yum install php php-devel php-pdo and restarted apache. Php pages are working just fine but ...
1
vote
2answers
2k views

Enabling Sqlite3 for php on fedora

I am trying to get php with sqlite working on my fedora server. In the phpinfo is see that ./configure was set with the option --without-sqlite3. From what I have read these means that I might have to ...
0
votes
2answers
331 views

Upgrade PHP 5.1.6 to 5.2.x on Fedora 6 - Solutions?

I have a CRM on an old Fedora server, running Apache 2.2.6, MySQL 5.0.27, and PHP 5.1.6. I see a couple of options to fix my problem, but I thought I would consult the pros on this one here at Server ...
0
votes
2answers
41 views

Upgrading Fedora to Current Version - Dependent Applications Concerns

Is it possible to upgrade to Fedora 11 and still keep the server functional (it's running Fedora Core release 6 now, with MySQL 5.0, PHP 5.1 and Apache 2.2)? I have a Customer Relationship Management ...
2
votes
3answers
1k views

make errors when compiling PHP 5.2.6 from source (Fedora 12)

I have already installed Apache 2.2.14, PHP 5.3.1 (using mod_fastcgi) and MySQL 5.1.41 - this is working great, but I am now trying to install PHP 5.2.6 (also using mod_fastcgi) so I can use it for ...
0
votes
1answer
144 views

Change 404.html Location Fedora

Which file do i Edit in fedora to set the 404 page I looked at php.ini couldn't find anything in there
1
vote
1answer
1k views

How do I set the default umask in apache?

I need to set the default umask in apache on fedora so that my uploaded files have permissions 644 which are set to 600 by default in spite of doing chmod( $uploaded_file , 0644 ); in php script. Can ...
1
vote
3answers
434 views

How can I setup multiple PHPs in linux?

How can I setup multiple PHPs in linux? How do use a version depending on the project I'm working on? I had to ask because I'm still using PHP 5.2.* and I'd like to test if migrating my projects to ...
0
votes
1answer
242 views

Installing PHP on Fedora Core 5

Yes, I know FC5 is old but its what we have here. I'm running %./configure --with-mysql=/usr/include/mysql --with-apxs2=/usr/local/apache2/bin/apxs --with-zlib=/usr ...
1
vote
4answers
365 views

Email not leaving server

I have the following problem and scenario: Fedora box hosting website: www.domain.com PHP Helpdesk Script which sends email to users on submitted on that same box. The problem is that email ...
1
vote
5answers
3k views

How can I install PHP5 on Fedora Core 5?

I'm trying to install PHP5 from source on FC5 and everything is configures and compiles fine. When I try to run php however I receive the following errors. PHP Warning: PHP Startup: mysql: Unable to ...
1
vote
3answers
869 views

Dev background, safe to have php files owned by root but Apache different user?

I'm from a programming background and been thrown into managing a Linux server at work because of an emergency with our reg sys admin. Is it reliable or safe to have our PHP files owned by root yet ...
1
vote
3answers
654 views

Problems upgrading from PHP 5.1.6 to 5.2.9

I have a web server running Fedora Core 5 (yes, I know it's very old) and it was running PHP 5.1.6 so I downloaded and compiled the source for 5.2.9 and restarted the server and phpinfo() still ...
1
vote
5answers
315 views

How do you secure the “gallery” photo gallery?

Are there any special steps that should be taken to secure Gallery? Specifically, I currently have the Fedora RPM gallery2-2.3-1.fc8 installed. I do have selinux enabled in targeted mode, which is a ...